﻿@model LoyaltyPointEngine.Model.Parameter.ConvertPoint.StoreRuleParamModel

@using (Ajax.BeginForm(MVC.ConvertPointStore.AddRule(), new AjaxOptions { HttpMethod = "Post", UpdateTargetId = "formRuleWrapper", OnComplete = "On_AddRuleComplete" }, new { @class = "form-horizontal row-border" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(x => x.StoreId)

    if (!Html.ViewData.ModelState.IsValid)
    {
        <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <i class="fa fa-times-circle"></i>
            Error occured:
            <br />
            @Html.ValidationSummary()
        </div>
    }

    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Point <span class="required">*</span></label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.Point, new { @type = "number", @class = "form-control required" })
        </div>
    </div>
    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Store Point <span class="required">*</span></label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.StorePoint, new { @type = "number", @class = "form-control required" })
        </div>
    </div>
    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Promo Point <span class="required">*</span></label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.Promo, new { @type = "number", @class = "form-control required" })
        </div>
    </div>
    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Convert Point Cap <span class="required">*</span></label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.ConvertCap, new { @type = "number", @class = "form-control required" })
        </div>
    </div>
    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Minimum Convert Point <span class="required">*</span></label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.MinConvert, new { @type = "number", @class = "form-control required" })
        </div>
    </div>
    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Convert Count Limit <span class="required">*</span></label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.ConvertCount, new { @type = "number", @class = "form-control required" })
        </div>
    </div>
    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Convert Out Url </label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.ConvertOutUrl, new { @class = "form-control" })
        </div>
    </div>
    <div class="form-group product-hide">
        <label class="col-md-3 control-label">Void Our Url </label>
        <div class="col-md-9">
            @Html.TextBoxFor(x => x.VoidOutUrl, new { @class = "form-control " })
        </div>
    </div>
    <div id="DivIconImageUrl" class="form-group">
        <label class="col-md-3 control-label">Icon</label>
        <div class="col-md-9">
            <div class="input-group">
                @Html.TextBoxFor(x => x.IconImageUrl, new { @class = "form-control" })
                <span class="input-group-btn">
                    <button id="BtnIconImageUrl" class="btn btn-default" type="button">Upload</button>
                </span>
            </div>
        </div>
    </div>
    <div id="DivLogoImageUrl" class="form-group">
        <label class="col-md-3 control-label">Logo</label>
        <div class="col-md-9">
            <div class="input-group">
                @Html.TextBoxFor(x => x.LogoImageUrl, new { @class = "form-control" })
                <span class="input-group-btn">
                    <button id="BtnLogoImageUrl" class="btn btn-default" type="button">Upload</button>
                </span>
            </div>
        </div>
    </div>
    <div class="form-actions">
        <button type="submit" value="submit" class="btn btn-primary pull-right">Add Rule</button>
    </div>
}